package core.notevault.data;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;
import core.notevault.data.sync.SyncStatus;

import java.time.LocalDateTime;

@Entity(tableName = "music_notes")
public class MusicNote {

    @PrimaryKey(autoGenerate = true)
    private long musicNoteId;
    private String serverID;
    private SyncStatus syncStatus;
    private LocalDateTime last_sync;

    private String title;
    private String composer;
    private int year;
    private String genre;

    @Ignore
    public MusicNote(String title,  String composer, int year, String genre) {
        this.title = title;
        this.composer = composer;
        this.year = year;
        this.genre = genre;
        this.syncStatus = SyncStatus.CREATED;
    }

    public MusicNote(long musicNoteId, String title) {
        this.musicNoteId = musicNoteId;
        this.title = title;
        this.syncStatus = SyncStatus.CREATED;
    }

    @Ignore
    public MusicNote() {
    }

    public long getMusicNoteId() {
        return musicNoteId;
    }

    public void setMusicNoteId(long musicNoteId) {
        this.musicNoteId = musicNoteId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getGenre() {
        return genre;
    }

    public void setGenre(String genre) {
        this.genre = genre;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getServerID() {
        return serverID;
    }

    public void setServerID(String serverID) {
        this.serverID = serverID;
    }

    public SyncStatus getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(SyncStatus syncStatus) {
        this.syncStatus = syncStatus;
    }

    public LocalDateTime getLast_sync() {

        return last_sync;
    }

    public void setLast_sync(LocalDateTime last_sync) {
        this.last_sync = last_sync;
    }
}
