package core.notevault.data.sync;


import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

@Entity(tableName = "sync_actions")
@TypeConverters({SyncStatusConverter.class, SyncObjectConverter.class})
public class SyncResponse {
    @PrimaryKey(autoGenerate = true)
    private long id;
    private String serverUUID;
    private SyncAction syncAction;
    private SyncObject syncObject;

    @Ignore
    public SyncResponse(String serverUUID, SyncAction syncAction, SyncObject syncObject) {
        this.serverUUID = serverUUID;
        this.syncAction = syncAction;
        this.syncObject = syncObject;
    }

    public SyncResponse() {
    }

    public String getServerUUID() {
        return serverUUID;
    }

    public void setServerUUID(String serverUUID) {
        this.serverUUID = serverUUID;
    }

    public SyncAction getSyncAction() {
        return syncAction;
    }

    public void setSyncAction(SyncAction syncAction) {
        this.syncAction = syncAction;
    }

    public SyncObject getSyncObject() {
        return syncObject;
    }

    public void setSyncObject(SyncObject syncObject) {
        this.syncObject = syncObject;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }
}
